import 'package:flutter/material.dart';
import 'package:tm_app/core/utils/size_config.dart';
import 'package:tm_app/views/login/pages/login_desktop_page.dart';
import 'package:tm_app/views/login/pages/login_mobile_page.dart';
import 'package:tm_app/views/login/pages/login_tablet_page.dart';
import 'package:tm_app/views/shared/responsive_builder.dart';

class LoginScreen extends StatelessWidget {
  const LoginScreen({super.key});

  @override
  Widget build(BuildContext context) {
    SizeConfig.init(context);
    return const ResponsiveBuilder(
      mobile: LoginMobilePage(),
      tablet: LoginTabletPage(),
      desktop: LoginDesktopPage(),
    );
  }
}
